Skip to navigation

Create a report from a code representation (Deprecated)

Deprecated
View as Markdown

Deprecation notice: This endpoint is deprecated. Instead, use POST /v2/reports with contents in the request body.

This endpoint creates a new report from a code representation. Use it to programmatically define and create reports that are then accessible from the Sigma UI.

Beta: This documentation describes a private beta feature and is subject to the Beta features disclaimer.

Usage notes

Usage scenarios

  • Agentic workflows: Agents can use these endpoints to directly manage report contents in code.
  • Automation: If you want to create several reports across one or more organizations, you can use this endpoint to programmatically create the reports.
  • Integration: Using this endpoint, you can create reports based on external data sources or integrate Sigma with other tools and platforms.
  • Migration: You can use this endpoint to migrate reports from one organization to another.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The request body.
namestringRequired
The name of the report.
folderIdstringRequired
The identifier of the folder in which the report is located.
documentobjectRequired

The code representation of the report to write: its pages, elements, columns, sources, layout, and theme.

descriptionstringOptional
The description of the report.

Response

The response body.
successboolean
reportIdstring